{
  "name": "multi-stub",
  "version": "1.2.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "start": "cross-env PORT=8033 npx nodemon ./server",
    "up:prod": "cross-env NODE_ENV=\"production\" node ./server",
    "deploy:d:stop": "docker compose down",
    "deploy:d:build": "docker compose build",
    "deploy:d:up": "docker compose up -d",
    "redeploy": "npm run deploy:d:stop && npm run deploy:d:build && npm run deploy:d:up",
    "eslint": "npx eslint ./server",
    "eslint:fix": "npx eslint ./server --fix",
    "test": "jest"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@bitbucket.org/online-mentor/multi-stub.git"
  },
  "keywords": [],
  "author": "",
  "license": "MIT",
  "homepage": "https://bitbucket.org/online-mentor/multi-stub#readme",
  "dependencies": {
    "ai": "^4.1.13",
    "axios": "^1.7.7",
    "bcrypt": "^5.1.0",
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "cross-env": "^7.0.3",
    "crypto-js": "^4.2.0",
    "dotenv": "^16.4.7",
    "express": "5.0.1",
    "express-jwt": "^8.5.1",
    "express-session": "^1.18.1",
    "jsdom": "^25.0.1",
    "jsonwebtoken": "^9.0.2",
    "mongodb": "^6.12.0",
    "mongoose": "^8.9.2",
    "mongoose-sequence": "^6.0.1",
    "morgan": "^1.10.0",
    "pbkdf2-password": "^1.2.1",
    "rotating-file-stream": "^3.2.5",
    "socket.io": "^4.8.1",
    "uuid": "^11.0.3"
  },
  "devDependencies": {
    "@eslint/js": "^9.17.0",
    "@types/node": "22.10.2",
    "eslint": "^9.17.0",
    "globals": "^15.14.0",
    "jest": "^29.7.0",
    "mockingoose": "^2.16.2",
    "nodemon": "3.1.9",
    "supertest": "^7.0.0"
  }
}
